> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verbex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a phone number configuration from the PIA Platform

> Remove a phone number configuration from the PIA Platform. This action:

- Removes the phone number from your PIA Platform account
- Disconnects any AI agent associations
- Cleans up SIP trunk configurations for Import Phone Numbers
- Removes routing rules and dispatch configurations



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/phone-numbers/{phone_number_id}
openapi: 3.1.0
info:
  title: Verbex Platform API
  description: API for managing AI agents, calls, phone numbers, and more.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/phone-numbers/{phone_number_id}:
    delete:
      tags:
        - Phone Numbers
      summary: Remove a phone number configuration from the PIA Platform
      description: |-
        Remove a phone number configuration from the PIA Platform. This action:

        - Removes the phone number from your PIA Platform account
        - Disconnects any AI agent associations
        - Cleans up SIP trunk configurations for Import Phone Numbers
        - Removes routing rules and dispatch configurations
      operationId: delete_phone_number_v1_phone_numbers__phone_number_id__delete
      parameters:
        - name: phone_number_id
          in: path
          required: true
          schema:
            type: string
            title: Phone Number Id
      responses:
        '204':
          description: Successful Response
        '404':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__phone_numbers__schemas__ErrorResponse
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__phone_numbers__schemas__ErrorResponse
          description: Internal Server Error
components:
  schemas:
    app__phone_numbers__schemas__ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A short error code identifying the type of error that occurred
        message:
          type: string
          title: Message
          description: >-
            A detailed human-readable message explaining the error and possible
            solutions
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````